Bug 180934 - tkinter.x86_64 needs libtix.so()(64bit), not provided by anyone
tkinter.x86_64 needs libtix.so()(64bit), not provided by anyone
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
Depends On: 180929
  Show dependency treegraph
Reported: 2006-02-10 11:22 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-13 11:55:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-10 11:22:12 EST
+++ This bug was initially created as a clone of Bug #180929 +++

Description of problem:
The dynamic library installed by tix is missing an explicit SONAME
specification.  This implies programs linked with -ltix will get libtix.so into
their DT_NEEDED.  This is the case of tkinter on x86_64, but oddly not on i386.
 Why is the x86_64 more needy, in this sense?

Version-Release number of selected component (if applicable):
tix-8.4.0-2 tkinter-2.4.2-3.1

How reproducible:

Steps to Reproduce:
1.yum install tkinter.x86_64

Actual Results:   Error: Missing dependency: libtix.so()(64bit)

Expected Results:   Package installed successfully

Additional info:
Comment 1 Mihai Ibanescu 2006-02-10 11:48:02 EST
Fixed in 2.4.2-3.2
Comment 2 Alexandre Oliva 2006-02-12 08:50:33 EST
'fraid not :-(  I suppose it was built against the old libtix.so, because it's
still broken even though libtix.so now has the correct DT_SONAME.  A rebuild
should fix it.
Comment 3 sangu 2006-02-12 09:26:41 EST
this problem happens in x86, too.
$ ls
python-2.4.2-3.2.i386.rpm        tix-devel-8.4.0-3.i386.rpm
python-devel-2.4.2-3.2.i386.rpm  tix-doc-8.4.0-3.i386.rpm
python-tools-2.4.2-3.2.i386.rpm  tkinter-2.4.2-3.2.i386.rpm

rpm -Uhv *.rpm
libtix.so is needed by tkinter-2.4.2-3.2.i386
$rpm -qf /usr/lib/libtix.so

$ rpm -qlp tix-devel-8.4.0-3.i386.rpm | grep libtix.so

$rpm -Uhv tix-*rpm
error: Failed dependencies:
        libtix8.1.8.4.so is needed by (installed) tkinter-2.4.2-3.i386

Comment 4 sangu 2006-02-13 06:06:31 EST
This problem was fixed in tkinter-2.4.2-3.2.1 tix-8.4.0-3.1.
Comment 5 Alexandre Oliva 2006-02-13 11:55:15 EST
Confirmed, thanks.

Note You need to log in before you can comment on or make changes to this bug.